{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ""; 
            definition = "decode(CPT_EMAIL, null, null, CPT_EMAIL||'@'||CPT_DOMAINE)"; 
            externalType = VARCHAR2; 
            name = adresseMailComplete; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "CPT_CHARTE"; 
            externalType = CHAR; 
            name = cptCharte; 
            valueClassName = NSString; 
            valueType = c; 
        }, 
        {
            columnName = "CPT_CONNEXION"; 
            externalType = CHAR; 
            name = cptConnexion; 
            valueClassName = NSString; 
            valueType = c; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_DOMAINE"; 
            externalType = VARCHAR2; 
            name = cptDomaine; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_EMAIL"; 
            externalType = VARCHAR2; 
            name = cptEmail; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "CPT_LOGIN"; 
            externalType = VARCHAR2; 
            name = cptLogin; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "CPT_ORDRE"; 
            externalType = NUMBER; 
            name = cptOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_PASSWD"; 
            externalType = VARCHAR2; 
            name = cptPasswd; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "CPT_UID_GID"; 
            externalType = NUMBER; 
            name = cptUidGid; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CPT_VLAN"; 
            externalType = VARCHAR2; 
            name = cptVlan; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cptUidGid, cptEmail, cptDomaine, dCreation, cptVlan); 
    className = "org.cocktail.application.serveur.eof.EOCompte"; 
    classProperties = (
        cptLogin, 
        cptPasswd, 
        cptConnexion, 
        cptCharte, 
        cptEmail, 
        dModification, 
        cptUidGid, 
        dCreation, 
        cptDomaine, 
        cptOrdre, 
        adresseMailComplete, 
        repartComptes, 
        persId
    ); 
    externalName = "GRHUM.COMPTE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cptOrdre, 
            cptLogin, 
            cptPasswd, 
            cptConnexion, 
            cptCharte, 
            cptEmail, 
            dModification, 
            cptUidGid, 
            dCreation, 
            cptDomaine, 
            repartComptes, 
            adresseMailComplete, 
            persId
        ); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOCompte"; 
    }; 
    isReadOnly = Y; 
    name = "ca_Compte"; 
    primaryKeyAttributes = (cptOrdre); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "ca_RepartCompte"; 
            internalInfo = {"_nameInObjectStore" = tosRptCompte; }; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cptOrdre; sourceAttribute = cptOrdre; }); 
            name = repartComptes; 
            ownsDestination = Y; 
        }
    ); 
}
